# Update an Accounting closure

`PUT /lokta-lms/api/v1/glclosures/{glClosureId}`

Once an accounting closure is created, only the comments associated with it may be edited

## Parameters
- `glClosureId` (path, integer, required): glClosureId

## Request body (application/json)
- `comments` (string)

## Responses
- `200`: OK

## Response fields
- `comments` (string)
- `officeId` (integer)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/glclosures/{glClosureId}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "comments": "All transactions verified by Johnny Cash"
}'
```

## Example response
```json
{
  "comments": "All transactions verified by Johnny Cash",
  "officeId": 1,
  "resourceId": 9
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateGLClosure
